org.icefaces.ace.component.menuitem

## Class MenuItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.icefaces.ace.component.menuitem.MenuItemBase
        - - org.icefaces.ace.component.menuitem.MenuItem

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IMenuItem

      public class MenuItem
      extends MenuItemBase
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.menuitem.MenuItemBase

      `MenuItemBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.menuitem.MenuItemBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext)`
    `protected javax.faces.context.FacesContext` | `getFacesContext()`
    `boolean` | `shouldRenderChildren()`

    - ### Methods inherited from class org.icefaces.ace.component.menuitem.MenuItemBase

      `addClientBehavior, getAccesskey, getDefaultEventName, getDefaultExecute, getDefaultRender, getEventNames, getFamily, getHelpText, getIcon, getListenerArgument, getOnclick, getStyle, getStyleClass, getTarget, getUrl, getUrlEncoding, getUrlParameters, isDisabled, isPropertySet, setAccesskey, setDisabled, setHelpText, setIcon, setOnclick, setStyle, setStyleClass, setTarget, setUrl, setUrlEncoding, setUrlParameters, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, clearInitialState, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Constructor Detail

    - #### MenuItem

          public MenuItem()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### shouldRenderChildren

          public boolean shouldRenderChildren()

    - #### getFacesContext

          protected javax.faces.context.FacesContext getFacesContext()

      Overrides:
        `getFacesContext` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.